net.sf.jasperreports.charts.fill

## Class JRFillLinePlot

- java.lang.Object
- - net.sf.jasperreports.engine.fill.JRFillChartPlot
  - - net.sf.jasperreports.charts.fill.JRFillLinePlot

- All Implemented Interfaces:
    java.lang.Cloneable, JRCategoryAxisFormat, JRCategoryPlot, JRCommonLinePlot, JRLinePlot, JRValueAxisFormat, JRChartPlot, JRCloneable

      public class JRFillLinePlot
      extends JRFillChartPlot
      implements JRLinePlot

  Version:
    $Id: JRFillLinePlot.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Flavius Sana (flavius_sana@users.sourceforge.net)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface net.sf.jasperreports.engine.JRChartPlot

      `JRChartPlot.JRSeriesColor`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.awt.Color` | `categoryAxisLabelColor`
    `protected JRFont` | `categoryAxisLabelFont`
    `protected java.awt.Color` | `categoryAxisLineColor`
    `protected java.awt.Color` | `categoryAxisTickLabelColor`
    `protected JRFont` | `categoryAxisTickLabelFont`
    `protected java.awt.Color` | `valueAxisLabelColor`
    `protected JRFont` | `valueAxisLabelFont`
    `protected java.awt.Color` | `valueAxisLineColor`
    `protected java.awt.Color` | `valueAxisTickLabelColor`
    `protected JRFont` | `valueAxisTickLabelFont`

    - ### Fields inherited from class net.sf.jasperreports.engine.fill.JRFillChartPlot

      `chart, parent`

    - ### Fields inherited from interface net.sf.jasperreports.charts.JRCategoryAxisFormat

      `PROPERTY_CATEGORY_AXIS_TICK_LABEL_ROTATION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRFillLinePlot(JRLinePlot plot, JRFillObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Color` | `getCategoryAxisLabelColor()`
    `JRExpression` | `getCategoryAxisLabelExpression()`
    `JRFont` | `getCategoryAxisLabelFont()`
    `java.awt.Color` | `getCategoryAxisLineColor()`
    `java.awt.Color` | `getCategoryAxisTickLabelColor()`
    `JRFont` | `getCategoryAxisTickLabelFont()`
    `java.lang.String` | `getCategoryAxisTickLabelMask()`
    `java.lang.Double` | `getCategoryAxisTickLabelRotation()` Gets the angle in degrees to rotate the data axis labels.
    `java.lang.Boolean` | `getCategoryAxisVerticalTickLabels()`
    `JRExpression` | `getDomainAxisMaxValueExpression()`
    `JRExpression` | `getDomainAxisMinValueExpression()`
    `java.awt.Color` | `getOwnCategoryAxisLabelColor()`
    `java.awt.Color` | `getOwnCategoryAxisLineColor()`
    `java.awt.Color` | `getOwnCategoryAxisTickLabelColor()`
    `java.awt.Color` | `getOwnValueAxisLabelColor()`
    `java.awt.Color` | `getOwnValueAxisLineColor()`
    `java.awt.Color` | `getOwnValueAxisTickLabelColor()`
    `JRExpression` | `getRangeAxisMaxValueExpression()`
    `JRExpression` | `getRangeAxisMinValueExpression()`
    `java.lang.Boolean` | `getShowLines()`
    `java.lang.Boolean` | `getShowShapes()`
    `java.awt.Color` | `getValueAxisLabelColor()`
    `JRExpression` | `getValueAxisLabelExpression()`
    `JRFont` | `getValueAxisLabelFont()`
    `java.awt.Color` | `getValueAxisLineColor()`
    `java.awt.Color` | `getValueAxisTickLabelColor()`
    `JRFont` | `getValueAxisTickLabelFont()`
    `java.lang.String` | `getValueAxisTickLabelMask()`
    `java.lang.Boolean` | `getValueAxisVerticalTickLabels()`
    `void` | `setCategoryAxisLabelColor(java.awt.Color color)`
    `void` | `setCategoryAxisLineColor(java.awt.Color color)`
    `void` | `setCategoryAxisTickLabelColor(java.awt.Color color)`
    `void` | `setCategoryAxisTickLabelRotation(java.lang.Double labelRotation)` Sets the angle in degrees to rotate the data axis labels.
    `void` | `setShowLines(java.lang.Boolean value)` Sets the show lines flag
    `void` | `setShowShapes(java.lang.Boolean value)` Sets the show shapes flag
    `void` | `setValueAxisLabelColor(java.awt.Color color)`
    `void` | `setValueAxisLineColor(java.awt.Color color)`
    `void` | `setValueAxisTickLabelColor(java.awt.Color color)`

    - ### Methods inherited from class net.sf.jasperreports.engine.fill.JRFillChartPlot

      `addSeriesColor, clearSeriesColors, clone, clone, collectExpressions, getBackcolor, getBackgroundAlphaFloat, getChart, getForegroundAlphaFloat, getLabelRotationDouble, getOrientation, getOrientationValue, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setBand, setForegroundAlpha, setLabelRotation, setOrientation, setOrientation, setSeriesColors`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChartPlot

      `addSeriesColor, clearSeriesColors, clone, collectExpressions, getBackcolor, getBackgroundAlphaFloat, getChart, getForegroundAlphaFloat, getLabelRotationDouble, getOrientation, getOrientationValue, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setForegroundAlpha, setLabelRotation, setOrientation, setOrientation, setSeriesColors`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Field Detail

    - #### categoryAxisLabelFont

          protected JRFont categoryAxisLabelFont

    - #### categoryAxisLabelColor

          protected java.awt.Color categoryAxisLabelColor

    - #### categoryAxisTickLabelFont

          protected JRFont categoryAxisTickLabelFont

    - #### categoryAxisTickLabelColor

          protected java.awt.Color categoryAxisTickLabelColor

    - #### categoryAxisLineColor

          protected java.awt.Color categoryAxisLineColor

    - #### valueAxisLabelFont

          protected JRFont valueAxisLabelFont

    - #### valueAxisLabelColor

          protected java.awt.Color valueAxisLabelColor

    - #### valueAxisTickLabelFont

          protected JRFont valueAxisTickLabelFont

    - #### valueAxisTickLabelColor

          protected java.awt.Color valueAxisTickLabelColor

    - #### valueAxisLineColor

          protected java.awt.Color valueAxisLineColor

  - ### Constructor Detail

    - #### JRFillLinePlot

          public JRFillLinePlot(JRLinePlot plot,
                        JRFillObjectFactory factory)

  - ### Method Detail

    - #### getCategoryAxisLabelExpression

          public JRExpression getCategoryAxisLabelExpression()

      Specified by:
        `getCategoryAxisLabelExpression` in interface `JRCategoryPlot`
      Returns:
        the category axis label expression

    - #### getCategoryAxisLabelFont

          public JRFont getCategoryAxisLabelFont()

      Specified by:
        `getCategoryAxisLabelFont` in interface `JRCategoryAxisFormat`

    - #### getCategoryAxisLabelColor

          public java.awt.Color getCategoryAxisLabelColor()

      Specified by:
        `getCategoryAxisLabelColor` in interface `JRCategoryAxisFormat`

    - #### getOwnCategoryAxisLabelColor

          public java.awt.Color getOwnCategoryAxisLabelColor()

      Specified by:
        `getOwnCategoryAxisLabelColor` in interface `JRCategoryAxisFormat`

    - #### setCategoryAxisLabelColor

          public void setCategoryAxisLabelColor(java.awt.Color color)

    - #### getCategoryAxisTickLabelFont

          public JRFont getCategoryAxisTickLabelFont()

      Specified by:
        `getCategoryAxisTickLabelFont` in interface `JRCategoryAxisFormat`

    - #### getCategoryAxisTickLabelColor

          public java.awt.Color getCategoryAxisTickLabelColor()

      Specified by:
        `getCategoryAxisTickLabelColor` in interface `JRCategoryAxisFormat`

    - #### getOwnCategoryAxisTickLabelColor

          public java.awt.Color getOwnCategoryAxisTickLabelColor()

      Specified by:
        `getOwnCategoryAxisTickLabelColor` in interface `JRCategoryAxisFormat`

    - #### setCategoryAxisTickLabelColor

          public void setCategoryAxisTickLabelColor(java.awt.Color color)

    - #### getCategoryAxisTickLabelMask

          public java.lang.String getCategoryAxisTickLabelMask()

      Specified by:
        `getCategoryAxisTickLabelMask` in interface `JRCategoryAxisFormat`

    - #### getCategoryAxisVerticalTickLabels

          public java.lang.Boolean getCategoryAxisVerticalTickLabels()

      Specified by:
        `getCategoryAxisVerticalTickLabels` in interface `JRCategoryAxisFormat`

    - #### getCategoryAxisTickLabelRotation

          public java.lang.Double getCategoryAxisTickLabelRotation()

      Description copied from interface: `JRCategoryAxisFormat`
      Gets the angle in degrees to rotate the data axis labels. The range is -360 to 360. A positive value angles the label so it reads downwards wile a negative value angles the label so it reads upwards. Only charts that use a category based axis (such as line or bar charts) support label rotation.
      Specified by:
        `getCategoryAxisTickLabelRotation` in interface `JRCategoryAxisFormat`

    - #### setCategoryAxisTickLabelRotation

          public void setCategoryAxisTickLabelRotation(java.lang.Double labelRotation)

      Description copied from interface: `JRCategoryAxisFormat`
      Sets the angle in degrees to rotate the data axis labels. The range is -360 to 360. A positive value angles the label so it reads downwards wile a negative value angles the label so it reads upwards. Only charts that use a category based axis (such as line or bar charts) support label rotation.
      Specified by:
        `setCategoryAxisTickLabelRotation` in interface `JRCategoryAxisFormat`

    - #### getCategoryAxisLineColor

          public java.awt.Color getCategoryAxisLineColor()

      Specified by:
        `getCategoryAxisLineColor` in interface `JRCategoryAxisFormat`

    - #### getOwnCategoryAxisLineColor

          public java.awt.Color getOwnCategoryAxisLineColor()

      Specified by:
        `getOwnCategoryAxisLineColor` in interface `JRCategoryAxisFormat`

    - #### setCategoryAxisLineColor

          public void setCategoryAxisLineColor(java.awt.Color color)

    - #### getValueAxisLabelExpression

          public JRExpression getValueAxisLabelExpression()

      Specified by:
        `getValueAxisLabelExpression` in interface `JRCategoryPlot`
      Returns:
        the value axis label expression

    - #### getDomainAxisMinValueExpression

          public JRExpression getDomainAxisMinValueExpression()

      Specified by:
        `getDomainAxisMinValueExpression` in interface `JRCategoryPlot`
      Returns:
        the minimum value expression for the domain axis

    - #### getDomainAxisMaxValueExpression

          public JRExpression getDomainAxisMaxValueExpression()

      Specified by:
        `getDomainAxisMaxValueExpression` in interface `JRCategoryPlot`
      Returns:
        the maximum value expression for the domain axis

    - #### getRangeAxisMinValueExpression

          public JRExpression getRangeAxisMinValueExpression()

      Specified by:
        `getRangeAxisMinValueExpression` in interface `JRCategoryPlot`
      Returns:
        the minimum value expression for the range axis

    - #### getRangeAxisMaxValueExpression

          public JRExpression getRangeAxisMaxValueExpression()

      Specified by:
        `getRangeAxisMaxValueExpression` in interface `JRCategoryPlot`
      Returns:
        the maximum value expression for the range axis

    - #### getValueAxisLabelFont

          public JRFont getValueAxisLabelFont()

      Specified by:
        `getValueAxisLabelFont` in interface `JRValueAxisFormat`

    - #### getValueAxisLabelColor

          public java.awt.Color getValueAxisLabelColor()

      Specified by:
        `getValueAxisLabelColor` in interface `JRValueAxisFormat`

    - #### getOwnValueAxisLabelColor

          public java.awt.Color getOwnValueAxisLabelColor()

      Specified by:
        `getOwnValueAxisLabelColor` in interface `JRValueAxisFormat`

    - #### setValueAxisLabelColor

          public void setValueAxisLabelColor(java.awt.Color color)

    - #### getValueAxisTickLabelFont

          public JRFont getValueAxisTickLabelFont()

      Specified by:
        `getValueAxisTickLabelFont` in interface `JRValueAxisFormat`

    - #### getValueAxisTickLabelColor

          public java.awt.Color getValueAxisTickLabelColor()

      Specified by:
        `getValueAxisTickLabelColor` in interface `JRValueAxisFormat`

    - #### getOwnValueAxisTickLabelColor

          public java.awt.Color getOwnValueAxisTickLabelColor()

      Specified by:
        `getOwnValueAxisTickLabelColor` in interface `JRValueAxisFormat`

    - #### setValueAxisTickLabelColor

          public void setValueAxisTickLabelColor(java.awt.Color color)

    - #### getValueAxisTickLabelMask

          public java.lang.String getValueAxisTickLabelMask()

      Specified by:
        `getValueAxisTickLabelMask` in interface `JRValueAxisFormat`

    - #### getValueAxisVerticalTickLabels

          public java.lang.Boolean getValueAxisVerticalTickLabels()

      Specified by:
        `getValueAxisVerticalTickLabels` in interface `JRValueAxisFormat`

    - #### getValueAxisLineColor

          public java.awt.Color getValueAxisLineColor()

      Specified by:
        `getValueAxisLineColor` in interface `JRValueAxisFormat`

    - #### getOwnValueAxisLineColor

          public java.awt.Color getOwnValueAxisLineColor()

      Specified by:
        `getOwnValueAxisLineColor` in interface `JRValueAxisFormat`

    - #### setValueAxisLineColor

          public void setValueAxisLineColor(java.awt.Color color)

    - #### getShowShapes

          public java.lang.Boolean getShowShapes()

      Specified by:
        `getShowShapes` in interface `JRCommonLinePlot`
      Returns:
        the show shapes flag

    - #### setShowShapes

          public void setShowShapes(java.lang.Boolean value)

      Description copied from interface: `JRCommonLinePlot`
      Sets the show shapes flag
      Specified by:
        `setShowShapes` in interface `JRCommonLinePlot`
      Parameters:
        `value` - the show shapes flag

    - #### getShowLines

          public java.lang.Boolean getShowLines()

      Specified by:
        `getShowLines` in interface `JRCommonLinePlot`
      Returns:
        the show lines flag

    - #### setShowLines

          public void setShowLines(java.lang.Boolean value)

      Description copied from interface: `JRCommonLinePlot`
      Sets the show lines flag
      Specified by:
        `setShowLines` in interface `JRCommonLinePlot`
      Parameters:
        `value` - the show lines flag

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com